SQLITE3_SNAPSHOT_FREE(3) | Library Functions Manual | SQLITE3_SNAPSHOT_FREE(3)

# NAME

`sqlite3_snapshot_free` —
Destroy a snapshot

# SYNOPSIS

void
`sqlite3_snapshot_free`(sqlite3_snapshot*);

# DESCRIPTION

The sqlite3_snapshot_free(P) interface destroys sqlite3_snapshot P. The application must eventually free every sqlite3_snapshot object using this routine to avoid a memory leak.

The sqlite3_snapshot_free() interface is only available when the SQLITE_ENABLE_SNAPSHOT compile-time option is used.

# SEE ALSO

sqlite3_snapshot(3), sqlite3_snapshot_free(3)

December 19, 2018 | NetBSD 9.5